#ifndef __GOBLIN_H__
#define __GOBLIN_H__
#include "characters.h"

const int GAIN_GOLD = 5;

class goblin final: public character {
public:
        goblin(RNG *rng,
               const position_list &available_positions);
        virtual result attack(const direction dir,
                              character_list &chlist) override;
        virtual result get_hit(const enum race &race, const int atk,
                               const fraction hit_rate) override;
};

#endif
